Bug 850755 - Only recognize "y" when destroying an application
Only recognize "y" when destroying an application
Status: CLOSED DEFERRED
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: John (J5) Palmieri
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 06:56 EDT by Wei Sun
Modified: 2015-05-14 22:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-10 21:49:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2012-08-22 06:56:54 EDT
Description of problem:
When destroy an app,user get prompt like this:
Do you want to destroy this application (y/n):

but it only recognizes "y",if input anything except "y",will exit and don't destroy app.

Version-Release number of selected component (if applicable):
rhc-0.97.15-1.el6_3.noarch
devenv_2049

How reproducible:
always

Steps to Reproduce:
1.destroy app
2.input s
3.
  
Actual results:
exit and don't destroy app

Expected results:

prompt user again:
Do you want to destroy this application (y/n):

Additional info:
Comment 1 Clayton Coleman 2012-08-22 10:56:05 EDT
I believe ASK should cover this, if not sounds like a bug
Comment 2 John (J5) Palmieri 2012-08-23 11:15:24 EDT
ask does.  Is this worth fixing for legacy?
Comment 3 John (J5) Palmieri 2012-09-10 21:49:20 EDT
I'm working on app create right now and most likely the rest of the app commands next sprint so I am clearing this from the bug list as 'ask' will fix this issue.

Note You need to log in before you can comment on or make changes to this bug.